Page 2 of 2

Re: Fixed: Strict Standards: Non-static method JLoader::impo

Posted: Mon Aug 25, 2014 6:24 am
by MMCritter
BrunoCosta wrote:I'm using Joomla 3.0.3 with PHP 5.4 and have two errors:

Code: Select all

Strict Standards: Non-static method JSite::getMenu()
Strict Standards: Non-static method JApplication::getMenu()
I changed the PHP version to 5.3 and it corrected the errors.
Same error - same fix, changing the PHP Version to 5.3 was MAGIC! For those who don't know how to change your PHP Version, you should find the icon in the control panel - will look like this:

Re: Fixed: Strict Standards: Non-static method JLoader::impo

Posted: Mon Sep 01, 2014 2:06 am
by dpacadmin
When you have migrated to Joomla 2.5 or 3 remember to reset your php version to the latest for security.

Re: Fixed: Strict Standards: Non-static method JLoader::impo

Posted: Sun Nov 02, 2014 2:52 pm
by leili
for me it caused of php version , my site version was 5.3.1 but host current php version was 5.4 nation i changed it to 5.3 and it worked. :D

Re: Fixed: Strict Standards: Non-static method JLoader::impo

Posted: Thu Jun 18, 2015 6:57 pm
by Flasher
i cannot change my php version, my site is blank... there is no more errors showing of course i change the error reportin off but i gte a blank front page still.........

Re: Fixed: Strict Standards: Non-static method JLoader::impo

Posted: Thu Jun 18, 2015 7:17 pm
by dpacadmin
If you are using Joomla 1.5 and your host has updated your php version to 5.4 or higher you need to upgrade to Joomla 3, if you can not change the php version.
https://docs.joomla.org/Planning_Migrat ... a_1.5_to_3